<?php
/**
 * manualserver
 *
 * 2018 Flyqie
 *
 */
 
use WHMCS\Database\Capsule;

if (!defined("WHMCS")) {
    die("This file cannot be accessed directly");
}

function manualserver_MetaData()
{
    return array(
        'DisplayName' => 'ManualServer',
        'APIVersion' => '1.1', 
        'RequiresServer' => false, 
    );
}

function manualserver_ConfigOptions()
{
    return array(
        '后台登陆地址' => array(
            'Type' => 'text',
            'Size' => '500',
            'Default' => '后台登陆地址'
        ),
        '管理员用户名/ID(用户名如全为数字请填写ID)' => array(
            'Type' => 'text',
            'Size' => '500',
            'Default' => ''
        ),
        '续费邮件发送' => array(
            'Type' => 'dropdown',
            'Options' => array(
                'yes' => '是',
                'no' => '否'
            )
        ),
        '暂停邮件发送' => array(
            'Type' => 'dropdown',
            'Options' => array(
                'yes' => '是',
                'no' => '否'
            )
        ),
        '解除暂停邮件发送' => array(
            'Type' => 'dropdown',
            'Options' => array(
                'yes' => '是',
                'no' => '否'
            )
        ),
        '产品终止邮件发送' => array(
            'Type' => 'dropdown',
            'Options' => array(
                'yes' => '是',
                'no' => '否'
            )
        )
    );
}

function manualserver_CreateAccount(array $params)
{
	return 'success';
}

function manualserver_Renew(array $params)
{
	if($params['configoption3'] == 'yes'){
		$results = localAPI('SendAdminEmail',array('customsubject' => '服务续费提醒','custommessage' => '亲爱的管理员,服务#'.$params['serviceid'].'需要被续费,原始到期时间'.Capsule::table('tblhosting')->where('id',$params['serviceid'])->first()->nextduedate.'续费时间1'.Capsule::table('tblhosting')->where('id',$params['serviceid'])->first()->billingcycle.',请立即处理'),trim($params['configoption2']));
		if($results['result'] != 'success'){
			return $results['message'];
		}
		return 'success';
	}else{
		return 'success';
	}
}

function manualserver_SuspendAccount(array $params)
{
	if($params['configoption4'] == 'yes'){
		$results = localAPI('SendAdminEmail',array('customsubject' => '服务暂停提醒','custommessage' => '亲爱的管理员,服务#'.$params['serviceid'].'需要暂停,请立即处理'),trim($params['configoption2']));
		if($results['result'] != 'success'){
			return $results['message'];
		}
		return 'success';
	}else{
		return 'success';
	}
}

function manualserver_UnsuspendAccount(array $params)
{
	if($params['configoption5'] == 'yes'){
		$results = localAPI('SendAdminEmail',array('customsubject' => '服务解除暂停提醒','custommessage' => '亲爱的管理员,服务#'.$params['serviceid'].'需要解除暂停,请立即处理'),trim($params['configoption2']));
		if($results['result'] != 'success'){
			return $results['message'];
		}
		return 'success';
	}else{
		return 'success';
	}
}

function manualserver_TerminateAccount(array $params)
{
	if($params['configoption6'] == 'yes'){
		$results = localAPI('SendAdminEmail',array('customsubject' => '服务删除提醒','custommessage' => '亲爱的管理员,服务#'.$params['serviceid'].'需要删除,请立即处理'),trim($params['configoption2']));
		if($results['result'] != 'success'){
			return $results['message'];
		}
		return 'success';
	}else{
		return 'success';
	}
}

function manualserver_ClientArea(array $params)
{
    $templateFile = 'templates/overview.tpl';
    return array(
	'tabOverviewReplacementTemplate' => $templateFile,
	        'templateVariables' => array(
                'rootpassword' => $params['customfields']['rootpassword'],
				'controlpassword' => $params['customfields']['controlpassword'],
				'crontrolusername' => $params['customfields']['crontrolusername'],
				//'serverip' => $params['model']['attributes']['dedicatedip'],
				'serverip' => $params['customfields']['serverip'],
				'loginurl' => $params['configoption1'],
            ),
    );
}
